## org.w3c.dom.svg
Interface SVGGradientElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.Node, SVGElement, SVGExternalResourcesRequired, SVGStylable, SVGUnitTypes, SVGURIReference

All Known Subinterfaces:
  SVGLinearGradientElement, SVGRadialGradientElement

All Known Implementing Classes:
  SVGOMGradientElement, SVGOMLinearGradientElement, SVGOMRadialGradientElement

public interface SVGGradientElement
extends SVGElement, SVGURIReference, SVGExternalResourcesRequired, SVGStylable, SVGUnitTypes

Field Summary
`static short` `SVG_SPREADMETHOD_PAD`
`static short` `SVG_SPREADMETHOD_REFLECT`
`static short` `SVG_SPREADMETHOD_REPEAT`
`static short` `SVG_SPREADMETHOD_UNKNOWN`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.svg.SVGUnitTypes
`SVG_UNIT_TYPE_OBJECTBOUNDINGBOX, SVG_UNIT_TYPE_UNKNOWN, SVG_UNIT_TYPE_USERSPACEONUSE`

Method Summary
`SVGAnimatedTransformList` `getGradientTransform()`
`SVGAnimatedEnumeration` `getGradientUnits()`
`SVGAnimatedEnumeration` `getSpreadMethod()`

Methods inherited from interface org.w3c.dom.svg.SVGElement
`getId, getOwnerSVGElement, getViewportElement, getXMLbase, setId, setXMLbase`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.svg.SVGURIReference
`getHref`

Methods inherited from interface org.w3c.dom.svg.SVGExternalResourcesRequired
`getExternalResourcesRequired`

Methods inherited from interface org.w3c.dom.svg.SVGStylable
`getClassName, getPresentationAttribute, getStyle`

Field Detail

### SVG_SPREADMETHOD_UNKNOWN

    public static final short SVG_SPREADMETHOD_UNKNOWN

See Also:
  Constant Field Values

### SVG_SPREADMETHOD_PAD

    public static final short SVG_SPREADMETHOD_PAD

See Also:
  Constant Field Values

### SVG_SPREADMETHOD_REFLECT

    public static final short SVG_SPREADMETHOD_REFLECT

See Also:
  Constant Field Values

### SVG_SPREADMETHOD_REPEAT

    public static final short SVG_SPREADMETHOD_REPEAT

See Also:
  Constant Field Values

Method Detail

### getGradientUnits

    public SVGAnimatedEnumeration getGradientUnits()

### getGradientTransform

    public SVGAnimatedTransformList getGradientTransform()

### getSpreadMethod

    public SVGAnimatedEnumeration getSpreadMethod()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.